﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SfDataGrid_Sample
{
    public class OrderInfoRepository
    {
        public OrderInfoRepository()
        {
        }

        #region private variables

        private List<DateTime> OrderedDates;
        private Random random = new Random();

        #endregion

        #region GetOrderDetails

        public ObservableCollection<OrderInfo> GetOrderDetails(int count)
        {
            ObservableCollection<OrderInfo> orderDetails = new ObservableCollection<OrderInfo>();

            for (int i = 1; i <= 500; i++)
            {
                var ord = new OrderInfo()
                {
                    OrderID = i,
                    EmployeeID = random.Next(0, 20),
                    CustomerID = random.Next(100, 200),
                    IsClosed = ((10 % random.Next(8, 15) >= 10) ? true : false),
                    FirstName = FirstNames[random.Next(0, 14)],
                    LastName = LastNames[random.Next(0, 25)],
                };
                orderDetails.Add(ord);
            }
            return orderDetails;
        }

        internal OrderInfo RefreshItemsource(int i)
        {
            var order = new OrderInfo()
            {
                OrderID = i,
                CustomerID = random.Next(0, 100),
                EmployeeID = random.Next(1700, 1800),
                FirstName = FirstNames[random.Next(15)],
                LastName = LastNames[random.Next(15)],
            };
            return order;
        }

        internal OrderInfo GenerateOrder(int id)
        {
            var order = new OrderInfo()
            {
                OrderID = (id + 10000),
                EmployeeID = random.Next(1700, 1800),
                CustomerID = random.Next(1, 100),
                IsClosed = ((id % random.Next(1, 10) > 5) ? true : false),
                FirstName = FirstNames[random.Next(15)],
                LastName = LastNames[random.Next(15)],
            };
            return order;
        }

        #endregion

        #region MainGrid DataSource

        string[] FirstNames = new string[] {
            "Gina",
            "Katie",
            "Oscar",
            "Torrey",
            "Bill",
            "Frank",
            "Danielle",
            "Jack",
            "Larry",
            "Holly",
            "Jennifer",
            "Pete",
            "Steve",
            "Vince",
            "Zeke"
        };

        string[] FullName = new string[] {

            "Gina Adams",

            "Katie Holmes",

            "Oscar Jefferson Williams",

            "Torrey Mendoza",

            "Bill",

            "Frank Ellis",

            "Danielle",


            "Jack Spencer",
            "Larry Stark",
            "Holly",
            "Jennifer Jobs",

            "Pete",
            "Steve Perry",
            "Vince Fitzgerald",
            "Zeke Perez"
        };

        string[] LastNames = new string[] {
            "Adams",
            "Crowley",
            "Ellis",
            "Gable",
            "Irvine",
            "Keefe",
            "Mendoza",
            "Owens",
            "Rooney",
            "Waddell",
            "Thomas",
            "Betts",
            "Doran",
            "Fitzgerald",
            "Holmes",
            "Jefferson",
            "Landry",
            "Newberry",
            "Perez",
            "Spencer",
            "Vargas",
            "Grimes",
            "Edwards",
            "Stark",
            "Cruise",
            "Fitz",
            "Chief",
            "Blanc",
            "Perry",
            "Stone",
            "Williams",
            "Lane",
            "Jobs"
        };

        string[] CustomerID = new string[] {
            "Alfki",
            "Frans",
            "Merep",
            "Folko",
            "Simob",
            "Warth",
            "Vaffe",
            "Furib",
            "Seves",
            "Linod",
            "Riscu",
            "Picco",
            "Blonp",
            "Welli",
            "Folig"
        };

        #endregion

    }
}
